org.jbpm.runtime.manager.impl.lock

## Class RuntimeManagerLockWatcherSingletonService

- java.lang.Object
- - org.jbpm.runtime.manager.impl.lock.RuntimeManagerLockWatcherSingletonService

-     public class RuntimeManagerLockWatcherSingletonService
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isActive()`
    `boolean` | `isWatched(int processInstanceId)`
    `static RuntimeManagerLockWatcherSingletonService` | `reference()`
    `static RuntimeManagerLockWatcherSingletonService` | `reference(Long watchLockPolling, Long maxLockProcessingTime)`
    `long` | `tryForcedUnlock()`
    `void` | `unreference()`
    `void` | `unwatch(long processInstanceId)`
    `void` | `watch(long processInstanceId, RuntimeManagerLock lock)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

  - ### Method Detail

    - #### tryForcedUnlock

          public long tryForcedUnlock()

    - #### watch

          public void watch(long processInstanceId,
                            RuntimeManagerLock lock)

    - #### unwatch

          public void unwatch(long processInstanceId)

    - #### isWatched

          public boolean isWatched(int processInstanceId)

    - #### unreference

          public void unreference()

    - #### reference

          public static RuntimeManagerLockWatcherSingletonService reference()

    - #### reference

          public static RuntimeManagerLockWatcherSingletonService reference(Long watchLockPolling,
                                                                            Long maxLockProcessingTime)

    - #### isActive

          public static boolean isActive()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.